From 1d7fc4b732441990c29243e59704f90cdb980176 Mon Sep 17 00:00:00 2001
From: "Pedro A. Aranda" <paranda@it.uc3m.es>
Date: Fri, 1 Mar 2024 17:51:58 +0100
Subject: [PATCH 2/3] Set default value of org-beamer-frame-environment to
 'frame'

---
 lisp/ox-beamer.el | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/lisp/ox-beamer.el b/lisp/ox-beamer.el
index 1633191d2..171ffb61e 100644
--- a/lisp/ox-beamer.el
+++ b/lisp/ox-beamer.el
@@ -148,17 +148,18 @@ which is replaced with the subtitle."
   :package-version '(Org . "8.3")
   :type '(string :tag "Format string"))
 
-(defcustom org-beamer-frame-environment "orgframe"
+(defcustom org-beamer-frame-environment "frame"
   "Name of the alternative beamer frame environment.
-In frames marked as fragile, this environment is used in place of
-the usual frame environment.
+When customising this variable to something different
+to \"frame\", this environment is used in place of
+the usual frame environment in frames marked as fragile.
 
-This permits insertion of a beamer frame inside example blocks,
-working around beamer limitations.  See
+Customising this variable may allow insertion of a beamer frame
+inside example blocks, working around beamer limitations.  See
 https://list.orgmode.org/87a5nux3zr.fsf@t14.reltub.ca/T/#mc7221e93f138bdd56c916b194b9230d3a6c3de09
 
-This option may need to be changed when \"\\end{orgframe}\" string is
-used inside beamer slides."
+Make sure that you don't use \"\\end{<customised value>}\"
+inside beamer slides."
   :group 'org-export-beamer
   :package-version '(Org . "9.7")
   :type '(string :tag "Beamer frame")
-- 
2.37.1 (Apple Git-137.1)

